shadermodel - This page was auto-generated. Feel free to help us improve the documentation by creating a pull request.

```lua
shadermodel (value)
```

### Parameters ###

`value` is one of:

* `2.0`: needs documentation
* `3.0`: needs documentation
* `4.0_level_9_1`: needs documentation
* `4.0_level_9_3`: needs documentation
* `4.0`: needs documentation
* `4.1`: needs documentation
* `5.0`: needs documentation
* `5.1`: needs documentation
* `rootsig_1.0`: needs documentation
* `rootsig_1.1`: needs documentation
* `6.0`: needs documentation
* `6.1`: needs documentation
* `6.2`: needs documentation
* `6.3`: needs documentation
* `6.4`: needs documentation
* `6.5`: needs documentation

## Applies To ###

The `config` scope.

### Availability ###

Premake 5.0.0 alpha 14 or later.

### Examples ###

```lua
shadermodel (value)
```

